<!doctype html>
<!--
@license
Copyright (c) 2015 The Polymer Project Authors. All rights reserved.
This code may only be used under the BSD style license found at http://polymer.github.io/LICENSE.txt
The complete set of authors may be found at http://polymer.github.io/AUTHORS.txt
The complete set of contributors may be found at http://polymer.github.io/CONTRIBUTORS.txt
Code distributed by Google as part of the polymer project is also
subject to an additional IP rights grant found at http://polymer.github.io/PATENTS.txt
-->
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1.0, user-scalable=yes">

    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>
    <script src="../../web-component-tester/browser.js"></script>

    <!-- Step 1: import the element to test -->
    <link rel="import" href="../date-input.html">
  </head>
  <body>

    <!-- You can use the document as a place to set up your fixtures. -->
    <paper-input-container always-float-label auto-validate attr-for-value="value">
      <label>date</label>
      <date-input format="DD/MM/YYYY" class="paper-input-input" value="{{value}}"></date-input>
      <paper-input-error>date invalid!</paper-input-error>
    </paper-input-container>  

    <script>
      var myEl = document.querySelector('date-input');

      suite('<date-input>', function() {

        test('defines and set properties of each inputs correctly', function() {
          var elements = myEl.querySelectorAll('input');

          assert.equal(elements[0].dataset.date, 'DD');
          assert.equal(elements[1].dataset.date, 'MM');
          assert.equal(elements[2].dataset.date, 'YYYY');
        });

        test('defines a default date when nothing is injected', function() {
          var elements = myEl.querySelectorAll('input');
          var today = new Date();

          assert.equal(elements[0].value, ("0" + today.getDate()).slice(-2));
          assert.equal(elements[1].value, ("0" + (today.getMonth() + 1)).slice(-2));
          assert.equal(elements[2].value, today.getFullYear());
        });
      });
    </script>

  </body>
</html>
